﻿@model IEnumerable<PrimerAvanze.Models.Pregunta>

@{
    ViewBag.Title = "Index";
}

<!-- ======= Contact Section ======= -->
<section class="breadcrumbs">
    <div class="container">

        <div class="d-flex justify-content-between align-items-center">
            <h2>@ViewBag.Title</h2>
            <ol>
                <li><a href="~/">Inicio</a></li>
                <li>@ViewBag.Title</li>
            </ol>
        </div>

    </div>
</section><!-- End Contact Section -->
<!-- ======= Contact Section ======= -->
<section class="contact" data-aos="fade-up" data-aos-easing="ease-in-out" data-aos-duration="500">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <p>
                    @Html.ActionLink("Create New", "Create")
                </p>
                <div class="table-responsive">
                <table class="table">
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.Competencia.Nombre)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.Descripcion)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.puntaje)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.estado)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.OpcionA)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.OpcionB)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.OpcionC)
                        </th>
                        <th>
                            @Html.DisplayNameFor(model => model.OpcionD)
                        </th>
                        <th></th>
                    </tr>

                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.Competencia.Nombre)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Descripcion)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.puntaje)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.estado)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.OpcionA)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.OpcionB)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.OpcionC)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.OpcionD)
                            </td>
                            <td>
                                @Html.ActionLink("Edit", "Edit", new { id = item.ID }, new { @class = "btn btn-sm btn-primary" })
                                @Html.ActionLink("Details", "Details", new { id = item.ID }, new { @class = "btn btn-sm btn-info" })
                                @Html.ActionLink("Delete", "Delete", new { id = item.ID }, new { @class = "btn btn-sm btn-danger" })
                            </td>
                        </tr>
                    }

                </table>
                   </div>

            </div>
        </div>
    </div>
</section>

